Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class DocumentRootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.DocumentRootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DocumentRoot

    public class DocumentRootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Add Slots Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Optional Features Supported`
- `Registry Error`
- `Registry Error List`
- `Registry Profile`
- `Registry Response`
- `Remove Objects Request`
- `Remove Slots Request`
- `Request Accepted Response`
- `Root Element`
- `Submit Objects Request`
- `Update Objects Request`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOptionalFeaturesSupported(OptionalFeaturesSupportedType newOptionalFeaturesSupported, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryError(RegistryErrorType newRegistryError, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryErrorList(RegistryErrorListType newRegistryErrorList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryProfile(RegistryProfileType newRegistryProfile, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryResponse(RegistryResponseType newRegistryResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRequestAcceptedResponse(RequestAcceptedResponseType newRequestAcceptedResponse, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRootElement(RootElementType newRootElement, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AddSlotsRequestType` | `getAddSlotsRequest()`
`ApproveObjectsRequestType` | `getApproveObjectsRequest()`
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`OptionalFeaturesSupportedType` | `getOptionalFeaturesSupported()`
`RegistryErrorType` | `getRegistryError()`
`RegistryErrorListType` | `getRegistryErrorList()`
`RegistryProfileType` | `getRegistryProfile()`
`RegistryResponseType` | `getRegistryResponse()`
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()`
`RemoveSlotsRequestType` | `getRemoveSlotsRequest()`
`RequestAcceptedResponseType` | `getRequestAcceptedResponse()`
`RootElementType` | `getRootElement()`
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()`
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()`
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()`
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()`
`void` | `setAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest)`
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)`
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)`
`void` | `setOptionalFeaturesSupported(OptionalFeaturesSupportedType newOptionalFeaturesSupported)`
`void` | `setRegistryError(RegistryErrorType newRegistryError)`
`void` | `setRegistryErrorList(RegistryErrorListType newRegistryErrorList)`
`void` | `setRegistryProfile(RegistryProfileType newRegistryProfile)`
`void` | `setRegistryResponse(RegistryResponseType newRegistryResponse)`
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)`
`void` | `setRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest)`
`void` | `setRequestAcceptedResponse(RequestAcceptedResponseType newRequestAcceptedResponse)`
`void` | `setRootElement(RootElementType newRootElement)`
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)`
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RegistryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `RegistryPackage.getDocumentRoot_XSISchemaLocation()`

### getAddSlotsRequest

    public AddSlotsRequestType getAddSlotsRequest()

  Specified by:
    `getAddSlotsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Add Slots Request' containment reference.
  See Also:
    `DocumentRoot.setAddSlotsRequest(AddSlotsRequestType)`, `RegistryPackage.getDocumentRoot_AddSlotsRequest()`

### basicSetAddSlotsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setAddSlotsRequest

    public void setAddSlotsRequest(AddSlotsRequestType newAddSlotsRequest)

  Specified by:
    `setAddSlotsRequest` in interface `DocumentRoot`
  Parameters:
    `newAddSlotsRequest` - the new value of the 'Add Slots Request' containment reference.
  See Also:
    `DocumentRoot.getAddSlotsRequest()`

### getApproveObjectsRequest

    public ApproveObjectsRequestType getApproveObjectsRequest()

  Specified by:
    `getApproveObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `DocumentRoot.setApproveObjectsRequest(ApproveObjectsRequestType)`, `RegistryPackage.getDocumentRoot_ApproveObjectsRequest()`

### basicSetApproveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setApproveObjectsRequest

    public void setApproveObjectsRequest(ApproveObjectsRequestType newApproveObjectsRequest)

  Specified by:
    `setApproveObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newApproveObjectsRequest` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `DocumentRoot.getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    public DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Specified by:
    `getDeprecateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `RegistryPackage.getDocumentRoot_DeprecateObjectsRequest()`

### basicSetDeprecateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setDeprecateObjectsRequest

    public void setDeprecateObjectsRequest(DeprecateObjectsRequestType newDeprecateObjectsRequest)

  Specified by:
    `setDeprecateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newDeprecateObjectsRequest` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `DocumentRoot.getDeprecateObjectsRequest()`

### getOptionalFeaturesSupported

    public OptionalFeaturesSupportedType getOptionalFeaturesSupported()

  Specified by:
    `getOptionalFeaturesSupported` in interface `DocumentRoot`
  Returns:
    the value of the 'Optional Features Supported' containment reference.
  See Also:
    `DocumentRoot.setOptionalFeaturesSupported(OptionalFeaturesSupportedType)`, `RegistryPackage.getDocumentRoot_OptionalFeaturesSupported()`

### basicSetOptionalFeaturesSupported

    public org.eclipse.emf.common.notify.NotificationChain basicSetOptionalFeaturesSupported(OptionalFeaturesSupportedType newOptionalFeaturesSupported,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setOptionalFeaturesSupported

    public void setOptionalFeaturesSupported(OptionalFeaturesSupportedType newOptionalFeaturesSupported)

  Specified by:
    `setOptionalFeaturesSupported` in interface `DocumentRoot`
  Parameters:
    `newOptionalFeaturesSupported` - the new value of the 'Optional Features Supported' containment reference.
  See Also:
    `DocumentRoot.getOptionalFeaturesSupported()`

### getRegistryError

    public RegistryErrorType getRegistryError()

  Specified by:
    `getRegistryError` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Error' containment reference.
  See Also:
    `DocumentRoot.setRegistryError(RegistryErrorType)`, `RegistryPackage.getDocumentRoot_RegistryError()`

### basicSetRegistryError

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryError(RegistryErrorType newRegistryError,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryError

    public void setRegistryError(RegistryErrorType newRegistryError)

  Specified by:
    `setRegistryError` in interface `DocumentRoot`
  Parameters:
    `newRegistryError` - the new value of the 'Registry Error' containment reference.
  See Also:
    `DocumentRoot.getRegistryError()`

### getRegistryErrorList

    public RegistryErrorListType getRegistryErrorList()

  Specified by:
    `getRegistryErrorList` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `DocumentRoot.setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getDocumentRoot_RegistryErrorList()`

### basicSetRegistryErrorList

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryErrorList(RegistryErrorListType newRegistryErrorList,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryErrorList

    public void setRegistryErrorList(RegistryErrorListType newRegistryErrorList)

  Specified by:
    `setRegistryErrorList` in interface `DocumentRoot`
  Parameters:
    `newRegistryErrorList` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `DocumentRoot.getRegistryErrorList()`

### getRegistryProfile

    public RegistryProfileType getRegistryProfile()

  Specified by:
    `getRegistryProfile` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Profile' containment reference.
  See Also:
    `DocumentRoot.setRegistryProfile(RegistryProfileType)`, `RegistryPackage.getDocumentRoot_RegistryProfile()`

### basicSetRegistryProfile

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryProfile(RegistryProfileType newRegistryProfile,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryProfile

    public void setRegistryProfile(RegistryProfileType newRegistryProfile)

  Specified by:
    `setRegistryProfile` in interface `DocumentRoot`
  Parameters:
    `newRegistryProfile` - the new value of the 'Registry Profile' containment reference.
  See Also:
    `DocumentRoot.getRegistryProfile()`

### getRegistryResponse

    public RegistryResponseType getRegistryResponse()

  Specified by:
    `getRegistryResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Registry Response' containment reference.
  See Also:
    `DocumentRoot.setRegistryResponse(RegistryResponseType)`, `RegistryPackage.getDocumentRoot_RegistryResponse()`

### basicSetRegistryResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryResponse(RegistryResponseType newRegistryResponse,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryResponse

    public void setRegistryResponse(RegistryResponseType newRegistryResponse)

  Specified by:
    `setRegistryResponse` in interface `DocumentRoot`
  Parameters:
    `newRegistryResponse` - the new value of the 'Registry Response' containment reference.
  See Also:
    `DocumentRoot.getRegistryResponse()`

### getRemoveObjectsRequest

    public RemoveObjectsRequestType getRemoveObjectsRequest()

  Specified by:
    `getRemoveObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `DocumentRoot.setRemoveObjectsRequest(RemoveObjectsRequestType)`, `RegistryPackage.getDocumentRoot_RemoveObjectsRequest()`

### basicSetRemoveObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setRemoveObjectsRequest

    public void setRemoveObjectsRequest(RemoveObjectsRequestType newRemoveObjectsRequest)

  Specified by:
    `setRemoveObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newRemoveObjectsRequest` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `DocumentRoot.getRemoveObjectsRequest()`

### getRemoveSlotsRequest

    public RemoveSlotsRequestType getRemoveSlotsRequest()

  Specified by:
    `getRemoveSlotsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Remove Slots Request' containment reference.
  See Also:
    `DocumentRoot.setRemoveSlotsRequest(RemoveSlotsRequestType)`, `RegistryPackage.getDocumentRoot_RemoveSlotsRequest()`

### basicSetRemoveSlotsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRemoveSlotsRequest

    public void setRemoveSlotsRequest(RemoveSlotsRequestType newRemoveSlotsRequest)

  Specified by:
    `setRemoveSlotsRequest` in interface `DocumentRoot`
  Parameters:
    `newRemoveSlotsRequest` - the new value of the 'Remove Slots Request' containment reference.
  See Also:
    `DocumentRoot.getRemoveSlotsRequest()`

### getRequestAcceptedResponse

    public RequestAcceptedResponseType getRequestAcceptedResponse()

  Specified by:
    `getRequestAcceptedResponse` in interface `DocumentRoot`
  Returns:
    the value of the 'Request Accepted Response' containment reference.
  See Also:
    `DocumentRoot.setRequestAcceptedResponse(RequestAcceptedResponseType)`, `RegistryPackage.getDocumentRoot_RequestAcceptedResponse()`

### basicSetRequestAcceptedResponse

    public org.eclipse.emf.common.notify.NotificationChain basicSetRequestAcceptedResponse(RequestAcceptedResponseType newRequestAcceptedResponse,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setRequestAcceptedResponse

    public void setRequestAcceptedResponse(RequestAcceptedResponseType newRequestAcceptedResponse)

  Specified by:
    `setRequestAcceptedResponse` in interface `DocumentRoot`
  Parameters:
    `newRequestAcceptedResponse` - the new value of the 'Request Accepted Response' containment reference.
  See Also:
    `DocumentRoot.getRequestAcceptedResponse()`

### getRootElement

    public RootElementType getRootElement()

  Specified by:
    `getRootElement` in interface `DocumentRoot`
  Returns:
    the value of the 'Root Element' containment reference.
  See Also:
    `DocumentRoot.setRootElement(RootElementType)`, `RegistryPackage.getDocumentRoot_RootElement()`

### basicSetRootElement

    public org.eclipse.emf.common.notify.NotificationChain basicSetRootElement(RootElementType newRootElement,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setRootElement

    public void setRootElement(RootElementType newRootElement)

  Specified by:
    `setRootElement` in interface `DocumentRoot`
  Parameters:
    `newRootElement` - the new value of the 'Root Element' containment reference.
  See Also:
    `DocumentRoot.getRootElement()`

### getSubmitObjectsRequest

    public SubmitObjectsRequestType getSubmitObjectsRequest()

  Specified by:
    `getSubmitObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `DocumentRoot.setSubmitObjectsRequest(SubmitObjectsRequestType)`, `RegistryPackage.getDocumentRoot_SubmitObjectsRequest()`

### basicSetSubmitObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubmitObjectsRequest

    public void setSubmitObjectsRequest(SubmitObjectsRequestType newSubmitObjectsRequest)

  Specified by:
    `setSubmitObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newSubmitObjectsRequest` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `DocumentRoot.getSubmitObjectsRequest()`

### getUpdateObjectsRequest

    public UpdateObjectsRequestType getUpdateObjectsRequest()

  Specified by:
    `getUpdateObjectsRequest` in interface `DocumentRoot`
  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `DocumentRoot.setUpdateObjectsRequest(UpdateObjectsRequestType)`, `RegistryPackage.getDocumentRoot_UpdateObjectsRequest()`

### basicSetUpdateObjectsRequest

    public org.eclipse.emf.common.notify.NotificationChain basicSetUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setUpdateObjectsRequest

    public void setUpdateObjectsRequest(UpdateObjectsRequestType newUpdateObjectsRequest)

  Specified by:
    `setUpdateObjectsRequest` in interface `DocumentRoot`
  Parameters:
    `newUpdateObjectsRequest` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `DocumentRoot.getUpdateObjectsRequest()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD